Overview | Package | Class | Tree | Deprecated | Index | Help
| Compoze Software, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.compoze.domino
Class FollowUpStatus

    java.lang.Object
      com.compoze.domino.FollowUpStatus

All Implemented Interfaces:
  java.io.Serializable

public class FollowUpStatus
extends java.lang.Object
implements java.io.Serializable

This class implements the follow status. Follow up status is used to determine if a follow up is set, and if so, to designate the status.

See Also:
  Serialized Form

Field Summary
`static FollowUpStatus` | `LOW` This value represents the 'low status' followup status.
`static FollowUpStatus` | `NO_STATUS` This value represents the 'no status' followup status.
`static FollowUpStatus` | `NORMAL` This value represents the 'normal status' followup status.
`static int` | `STORE_VALUE_LOW` This value represents the 'low status' store value.
`static int` | `STORE_VALUE_NO_STATUS` This value represents the 'no status' store value.
`static int` | `STORE_VALUE_NORMAL` This value represents the 'normal status' store value.
`static int` | `STORE_VALUE_URGENT` This value represents the 'urgent status' store value.
`static FollowUpStatus` | `URGENT` This value represents the 'urgent status' followup status.

Method Summary
`boolean` | `equals(java.lang.Object o)` Indicates whether some other `FollowUpStatus` object is "equal to" this one.
`static FollowUpStatus` | `get(int iStoreValue)` Gets the flag by the store value.
`static java.util.List` | `getList()` Gets an unmodifiable list of flags.
`java.lang.String` | `getName()` Gets the name using the system default locale.
`java.lang.String` | `getName(java.util.Locale locale)` Gets the name using the specified locale.
`int` | `getStoreValue()` Gets the store value.
`java.lang.String` | `toString()` Returns a string representation of the object.
`java.lang.String` | `toString(java.util.Locale locale)` Returns a string representation of the object.

Methods inherited from class java.lang.Object
`clone, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### STORE_VALUE_NO_STATUS

    public static final int STORE_VALUE_NO_STATUS

  This value represents the 'no status' store value.

  See Also:
    Constant Field Values

### STORE_VALUE_URGENT

    public static final int STORE_VALUE_URGENT

  This value represents the 'urgent status' store value.

  See Also:
    Constant Field Values

### STORE_VALUE_NORMAL

    public static final int STORE_VALUE_NORMAL

  This value represents the 'normal status' store value.

  See Also:
    Constant Field Values

### STORE_VALUE_LOW

    public static final int STORE_VALUE_LOW

  This value represents the 'low status' store value.

  See Also:
    Constant Field Values

### NO_STATUS

    public static final FollowUpStatus NO_STATUS

  This value represents the 'no status' followup status.

### URGENT

    public static final FollowUpStatus URGENT

  This value represents the 'urgent status' followup status.

### NORMAL

    public static final FollowUpStatus NORMAL

  This value represents the 'normal status' followup status.

### LOW

    public static final FollowUpStatus LOW

  This value represents the 'low status' followup status.

Method Detail

### getStoreValue

    public int getStoreValue()

  Gets the store value.

  Returns:
    the store value for the flag status

### getName

    public java.lang.String getName()

  Gets the name using the system default locale.

  Returns:
    the name for the flag

### getName

    public java.lang.String getName(java.util.Locale locale)

  Gets the name using the specified locale. If this is a custom flag, the locale is ignored.

  Parameters:
    `locale` - the locale
  Returns:
    the name for the flag

### get

    public static FollowUpStatus get(int iStoreValue)

  Gets the flag by the store value.

  Parameters:
    `iStoreValue` - the store value of the flag
  Returns:
    the matching flag status or `null` if not found

### getList

    public static java.util.List getList()

  Gets an unmodifiable list of flags.

  Returns:
    the list `FollowUpStatus` objects (unmodifiable)

### equals

    public boolean equals(java.lang.Object o)

  Indicates whether some other `FollowUpStatus` object is "equal to" this one. The store value is used to determine equality.

  Returns:
    if `true`, this object is the same as the obj argument; `false` otherwise

### toString

    public java.lang.String toString()

  Returns a string representation of the object.

  Returns:
    the string representation of the object

### toString

    public java.lang.String toString(java.util.Locale locale)

  Returns a string representation of the object.

  Parameters:
    `locale` - the locale to use
  Returns:
    the string representation of the object

Overview | Package | Class | Tree | Deprecated | Index | Help
| Compoze Software, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright ©1999-2003 Compoze Software, Inc. All rights reserved.